<fieldset>

    <div class="control-group">
        <label class="control-label required">NRDP URL</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'url',
                'class' => 'span4',
                'value' => set_value('url', @$defaults['url']))); ?>
            <?php echo form_error('url') ?>
            <span class="help-inline">
                <?php echo question_tooltip('The URL to the NRDP server to send the results to'); ?>
            </span>
        </div>
    </div>

    <div class="control-group">
        <label class="control-label required">Token</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'token',
                'class' => 'span4',
                'value' => set_value('token', @$defaults['token']))); ?>
            <?php echo form_error('token') ?>
            <span class="help-inline">
                <?php echo question_tooltip('The NRDP authentication token'); ?>
            </span>
        </div>
    </div>
	
    <div class="control-group">
        <label class="control-label required">Host</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'host',
                'class' => 'span4',
                'value' => set_value('host', @$defaults['host']))); ?>
            <?php echo form_error('host') ?>
            <span class="help-inline">
                <?php echo question_tooltip('This is the host name of the the check result you are sending'); ?>
            </span>
        </div>
    </div>

	
	<div class="control-group">
        <label class="control-label">Service</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'service',
                'class' => 'span4',
                'value' => set_value('service', @$defaults['service']))); ?>
            <?php echo form_error('service') ?>
            <span class="help-inline">
                <?php echo question_tooltip('This is the optional service name of the the check result you are sending, if left blank a host check will be submitted'); ?>
            </span>
        </div>
    </div>
	
    <div class="control-group">
        <label class="control-label required">State</label>
		 <div class="controls">
            <?php echo form_input(array(
                'name' => 'state',
                'class' => 'span4',
                'value' => set_value('state', @$defaults['state']))); ?>
			<?php echo form_error('state') ?>
            <span class="help-inline">
                <?php echo question_tooltip('This is the state of the check to send and should be one of the following numbers <br>0 = OK<br>1 = WARNING / DOWN<br>2 = CRITICAL / UNREACHABLE<br>3+ = UNKNOWN'); ?>
            </span>
        </div>
    </div>
	
	<div class="control-group">
        <label class="control-label required">Output</label>
        <div class="controls">
            <?php echo form_input(array(
                'name' => 'output',
                'class' => 'span4',
                'value' => set_value('output', @$defaults['output']))); ?>
            <?php echo form_error('output') ?>
            <span class="help-inline">
                <?php echo question_tooltip('This is the check output you would like to send to the NRDP server, often this is plugin output'); ?>
            </span>
        </div>
    </div>	
	
</fieldset>
